> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Organization API Key

> Delete an API key for a specific user



## OpenAPI

````yaml /api-reference/openapi.json delete /service/organization/{id}/api-keys/{apiKeyId}
openapi: 3.1.0
info:
  title: Payra API
  version: 1.0.0
  description: Documentação da API para Backoffice e Service
servers: []
security: []
paths:
  /service/organization/{id}/api-keys/{apiKeyId}:
    delete:
      tags:
        - Organization
      summary: Delete Organization API Key
      description: Delete an API key for a specific user
      operationId: deleteApiKey
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
        - schema:
            type: string
          required: true
          name: apiKeyId
          in: path
      responses:
        '200':
          description: API key deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - health_status_ok
                      - health_status_error
                      - validation_error
                      - bad_request
                      - unauthorized
                      - forbidden
                      - not_found
                      - method_not_allowed
                      - internal_server_error
                      - organization_not_found
                      - cannot_access_organization
                      - api_key_not_found
                      - resource_already_exists
                    default: health_status_ok
                  message:
                    type: string
                  data: {}
        '401':
          description: >-
            Unauthorized. The provided authentication token is invalid or
            expired.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - health_status_ok
                      - health_status_error
                      - validation_error
                      - bad_request
                      - unauthorized
                      - forbidden
                      - not_found
                      - method_not_allowed
                      - internal_server_error
                      - organization_not_found
                      - cannot_access_organization
                      - api_key_not_found
                      - resource_already_exists
                    default: health_status_ok
                  message:
                    type: string
                  data: {}
        '404':
          description: API key or user not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - health_status_ok
                      - health_status_error
                      - validation_error
                      - bad_request
                      - unauthorized
                      - forbidden
                      - not_found
                      - method_not_allowed
                      - internal_server_error
                      - organization_not_found
                      - cannot_access_organization
                      - api_key_not_found
                      - resource_already_exists
                    default: health_status_ok
                  message:
                    type: string
                  data: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - health_status_ok
                      - health_status_error
                      - validation_error
                      - bad_request
                      - unauthorized
                      - forbidden
                      - not_found
                      - method_not_allowed
                      - internal_server_error
                      - organization_not_found
                      - cannot_access_organization
                      - api_key_not_found
                      - resource_already_exists
                    default: health_status_ok
                  message:
                    type: string
                  data: {}
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````